#include <bits/stdc++.h>
#include "code.h"
using namespace std;
int n,k;
int mat[1005][1005];
int glob[1005][2];
std::vector<int> Nadji(int N, int K)
{
    n = N;
    k = K;
    if(n*n <= k){
        for(int i=1; i<=n; i++){
            for(int j=1; j<=n; j++){
                mat[i][j] = Pitaj(i,j);
            }
        }
        for(int i=1; i<=n; i++){
            int maks = 0;
            int poj = 0;
            for(int j=1; j<=n; j++)maks = max(maks, mat[i][j]);
            for(int j=1; j<=n; j++){
                if(maks == mat[i][j])poj++;
            }
            if(poj == 1)glob[i][0] = maks;
        }
        for(int j=1; j<=n; j++){
            int mini = 1e9+1;
            int poj = 0;
            for(int i=1; i<=n; i++)mini = min(mini, mat[i][j]);
            for(int i=1; i<=n; i++){
                if(mini == mat[i][j])poj++;
            }
            if(poj == 1)glob[j][1] = mini;
        }
        for(int i=1; i<=n; i++){
            for(int j=1; j<=n; j++){
                if(glob[i][0] == glob[j][1] && glob[i][0] == mat[i][j]){
                    vector<int>res;
                    res.push_back(i);
                    res.push_back(j);
                    return res;
                }
            }
        }
    }
	// neka slucajna pitanja
	int x = Pitaj(2, 1);
	int y = Pitaj(2, 3);
	int z = Pitaj(3, 3);

	// primer kada hocemo da vratimo (2, 3)
	std::vector<int> out;
	out.push_back(2);
	out.push_back(3);
	return out;
}